Subject: Re: [PATCH] Wire up sys_sync_file_range() on powerpc

From: Russell King <[email-masked]>
Date: Mon, 18 Jun 2007 10:41:03 +0100

On Mon, Jun 18, 2007 at 05:25:11PM +0800, David Woodhouse wrote:
> [PATCH] Add sys_sync_file_range2() system call
> ... with more sensible ABI, for those architectures which hated
> sys_sync_file_range() for wasting argument slots by misaligning 64-bit
> values. Convert ARM to use it, wire it up on PowerPC, and prevent the
> missing syscall checker from bitching about sync_file_range if you have
> sync_file_range2 instead.
> 
> Signed-off-by: David Woodhouse <[email-masked]>

For the ARM bits:

Acked-by: Russell King <[email-masked]>

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: